package uk.ac.cf.spring.demo.sports.Userdetail;

import java.util.List;

// 定义 UserDao 接口
public interface UserDao {
    // 获取所有用户详情
    List<userdetails> getAllUsers();
    // 根据 ID 获取用户详情
    userdetails getUserById(Long id);
    // 根据用户名获取用户详情
    userdetails getUserByUsername(String username);
    // 添加用户
    void addUser(userdetails user);
    // 更新用户信息
    void updateUser(userdetails user);
    // 删除用户
    void deleteUser(Long id);
}



