package uk.ac.cf.spring.demo.sports.Userdetail;

import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.List;

@Service
public class UserServiceImpl implements UserService {

    private final UserDao userDao;

    @Autowired
    public UserServiceImpl(UserDao userDao) {
        this.userDao = userDao;
    }

    @Override
    public List<userdetails> getAllUsers() {
        //return userDao.getAllUsers();

        List<userdetails> users = userDao.getAllUsers(); // 调用 DAO 层方法
        return users;
    }

    @Override
    public userdetails getUserById(Long id) {
        return userDao.getUserById(id);  // 根据 ID 获取用户
    }

    @Override
    public userdetails getUserByEmail(String email) {
        return null;
    }


    @Override
    public List<userdetails> getUsersByUsername(String username) {
        return userDao.getAllUsers();
    }

    @Override
    public void addUser(userdetails user) {
        userDao.addUser(user);  // 添加新用户
    }

    @Override
    public void updateUser(userdetails user) {
        userDao.updateUser(user);  // 更新用户信息
    }

    @Override
    public void deleteUser(Long id) {
        userDao.deleteUser(id);  // 删除用户
    }
}
