package uk.ac.cf.spring.demo.sports.match;

import java.util.List;

public interface MatchService {
    //    get match items
    List<MatchItem> getMatchItems();
    //    get Match Item by id
    MatchItem getMatchItemById(Long id);
    //    get MatchItem by sport
    List<MatchItem> getMatchItemBySport(String sport);
    //   add MatchItem
    void addMatchItem(MatchItem matchItem);
    //  update MatchItem
    void updateMatchItem(MatchItem matchItem);
    // delete MatchItem
    void deleteMatchItem(Long id);
}
